# Created by pyp2rpm-3.3.4
%global pypi_name smmap

Name:           python-%{pypi_name}
Version:        3.0.4
Release:        %mkrel 1
Summary:        A pure Python implementation of a sliding window memory map manager
Group:          Development/Python
License:        BSD
URL:            https://github.com/gitpython-developers/smmap
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(nosexcover)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(tox)

%description
 MotivationWhen reading from many possibly large files in a fashion similar to
random access, it is usually the fastest and most efficient to use memory
maps.Although memory maps have many advantages, they represent a very limited
system resource as every map uses one file descriptor, whose amount is limited
per process. On 32 bit systems, the amount of memory you can have mapped at a
time is...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Obsoletes:      python3-smmap2 < 3.0.1-3
Provides:       python3-smmap2 = %{version}-%{release}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
 MotivationWhen reading from many possibly large files in a fashion similar to
random access, it is usually the fastest and most efficient to use memory
maps.Although memory maps have many advantages, they represent a very limited
system resource as every map uses one file descriptor, whose amount is limited
per process. On 32 bit systems, the amount of memory you can have mapped at a
time is...

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
tox --skip-missing-interpreters

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info



%changelog
* Tue Sep 15 2020 guillomovitch <guillomovitch> 3.0.4-1.mga8
+ Revision: 1626791
- new version 3.0.4

* Thu Apr 09 2020 kekepower <kekepower> 3.0.1-3.mga8
+ Revision: 1565784
- Remove package python3-smmap2
- Do a proper Provides: python3-smmap2

* Thu Apr 09 2020 kekepower <kekepower> 3.0.1-2.mga8
+ Revision: 1565774
- Create python3-smmap2 package
- Obsolete python3-smmap2 < 3
- Create proper Conflicts

* Thu Apr 09 2020 kekepower <kekepower> 3.0.1-1.mga8
+ Revision: 1565701
- imported package python-smmap


* Thu Jul 07 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.1-1mdv2011
+ Revision: 689059
- update to new version 0.8.1

* Fri Jul 01 2011 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.0-1
+ Revision: 688466
- import python-smmap

